Subject: Re: bug#19192: 25.0.50; TRAMP uses `dired-listing-switches' for ftp-connection

From: Michael Albinus <[email-masked]>
Date: Sun, 30 Nov 2014 12:10:37 +0100

Rasmus <[email-masked]> writes:

> Hi,

Hi,

> Sorry for asking so many questions.

No problem. That's why we have debbugs that we can discuss the problem.

> So according to the note in `ange-ftp-get-files' there's the following
> node on using dired-actual-switches or dired-listing-switches
>
>     ;; This is an efficiency hack. We try to
>     ;; anticipate what sort of listing dired
>     ;; might want, and cache just such a listing.
>
> Switches are checked with `ange-ftp-switches-ok'.  (man "sftp") has a
> nice list of
> switches supported.  Unfortunately, I don't really find anything on
> supported ls in the manpage of ftp or the info manual...
>
> Option I: I can limit accepted ls flags by ange-ftp to the subset
> supported by sftp.  
>
> Option I+: I could add a defcustom to allow the current more liberal
> behavior akin to ange-ftp-passive-host-alist and
> ange-ftp-try-passive-mode.
>
> Option II would be to add build-in support for something like the
> --group-directories-first in dired, since now, if scrub off
> --group-directories-first, a dired-ftp buffer will look different from a
> local dired buffer...
>
> For now I will go with Option I.

Well, I'm a little bit confused. In the beginning, you have spoken about
"ftp". Now you've switched to "sftp". These are very different cases,
and ange-ftp.el is *not* responsible for sftp connections.

Could you, please, clarify?

> Thanks,
> Rasmus

Best regards, Michael.